(configure_ac): Fixed version check (s/==/=/).
authorWerner Koch <wk@gnupg.org>
Tue, 20 Apr 2004 04:48:24 +0000 (04:48 +0000)
committerWerner Koch <wk@gnupg.org>
Tue, 20 Apr 2004 04:48:24 +0000 (04:48 +0000)
ChangeLog
NEWS
autogen.sh
configure.ac

index 4206ca4..c17213f 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2004-04-20  Werner Koch  <wk@gnupg.org>
+
+       * autogen.sh (configure_ac): Fixed version check (s/==/=/).
+
 2004-04-02  Thomas Schwinge  <schwinge@nic-nac-project.de>
 
        * autogen.sh: Added ACLOCAL_FLAGS.
@@ -6,6 +10,10 @@
 
        * qt/main.cpp: Include "pinentry.h", not <pinentry.h>.
 
+2004-01-30  Werner Koch  <wk@gnupg.org>
+
+       * configure.ac (fopencookie): Remove that test.
+
 2004-01-28  Moritz Schulte  <mo@g10code.com>
 
        * gtk/gtksecentry.c:
diff --git a/NEWS b/NEWS
index 56e1129..73db89e 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,6 +1,9 @@
 Noteworthy changes in version 0.7.1 (unreleased)
 ------------------------------------------------
 
+ * Removed not needed Assuan cruft.
+
+
 Noteworthy changes in version 0.7.0 (2003-12-23)
 ------------------------------------------------
 
index 3608ec6..9d72076 100755 (executable)
@@ -18,7 +18,7 @@ cvtver () {
 }
 
 check_version () {
-    if [ $(( `("$1" --version || echo "0") | cvtver` >= $2 )) == 1 ]; then
+    if [ $(( `("$1" --version || echo "0") | cvtver` >= $2 )) = 1 ]; then
        return 0
     fi
     echo "**Error**: "\`$1\'" not installed or too old." >&2
index b7b4ed9..4137f35 100644 (file)
@@ -1,6 +1,6 @@
 # configure.ac
 # Copyright (C) 1999 Robert Bihlmeyer <robbe@orcus.priv.at>
-# Copyright (C) 2001, 2002 g10 Code GmbH
+# Copyright (C) 2001, 2002, 2003, 2004 g10 Code GmbH
 # 
 # This file is part of PINENTRY.
 # 
@@ -63,12 +63,8 @@ AC_CHECK_FUNCS(seteuid stpcpy mmap)
 GNUPG_CHECK_MLOCK
 
 dnl Checks for libassuan.
-AC_CHECK_FUNCS(fopencookie,,[
-    AC_MSG_ERROR([[
-***
-*** fopencookie(3) is needed to build this package.
-*** We will provide an replacement in a later release.
-***]])])
+dnl -> None required becuase we use a stripped down version of libassuan.
+
 
 dnl Checks for libsecmem.
 GNUPG_CHECK_TYPEDEF(byte, HAVE_BYTE_TYPEDEF)